Skip to main content
GET
/
v2
/
escalation_paths
/
{id}
Show
curl --request GET \
  --url https://api.incident.io/v2/escalation_paths/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.incident.io/v2/escalation_paths/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.incident.io/v2/escalation_paths/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "escalation_path": {
    "current_responders": [
      {
        "email": "lisa@incident.io",
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Lisa Karlin Curtis",
        "role": "owner",
        "slack_user_id": "U02AYNF2XJM"
      }
    ],
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "name": "Urgent Support",
    "path": [
      {
        "delay": {
          "delay_interval_condition": "active",
          "delay_seconds": 300,
          "delay_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
        },
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "if_else": {
          "conditions": [
            {
              "operation": {
                "label": "Lawrence Jones",
                "value": "01FCQSP07Z74QMMYPDDGQB9FTG"
              },
              "param_bindings": [
                {
                  "array_value": [
                    {
                      "label": "Lawrence Jones",
                      "literal": "SEV123",
                      "reference": "incident.severity"
                    }
                  ],
                  "value": {
                    "label": "Lawrence Jones",
                    "literal": "SEV123",
                    "reference": "incident.severity"
                  }
                }
              ],
              "subject": {
                "label": "Incident Severity",
                "reference": "incident.severity"
              }
            }
          ],
          "else_path": [
            {}
          ],
          "then_path": [
            {}
          ]
        },
        "level": {
          "ack_mode": "all",
          "round_robin_config": {
            "enabled": false,
            "rotate_after_seconds": 120
          },
          "targets": [
            {
              "id": "lawrencejones",
              "schedule_mode": "currently_on_call",
              "selected_rota_id": "01FCNDV6P870EA6S7TK1DSYDG0",
              "type": "schedule",
              "urgency": "high"
            }
          ],
          "time_to_ack_interval_condition": "active",
          "time_to_ack_seconds": 1800,
          "time_to_ack_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
        },
        "notify_channel": {
          "targets": [
            {
              "id": "lawrencejones",
              "schedule_mode": "currently_on_call",
              "selected_rota_id": "01FCNDV6P870EA6S7TK1DSYDG0",
              "type": "schedule",
              "urgency": "high"
            }
          ],
          "time_to_ack_interval_condition": "active",
          "time_to_ack_seconds": 1800,
          "time_to_ack_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
        },
        "repeat": {
          "repeat_times": 3,
          "to_node": "01FCNDV6P870EA6S7TK1DSYDG0"
        },
        "type": "if_else"
      }
    ],
    "repeat_config": {
      "delay_repeat_on_activity": false,
      "repeat_after_seconds": 1800
    },
    "team_ids": [
      "01JPQA75EPNEES4479P16P4XAB"
    ],
    "working_hours": [
      {
        "id": "abc123",
        "name": "abc123",
        "timezone": "abc123",
        "weekday_intervals": [
          {
            "end_time": "17:00",
            "start_time": "09:00",
            "weekday": "monday"
          }
        ]
      }
    ]
  }
}
🔑 Requires the escalation_paths.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique identifier for this escalation path.

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

escalation_path
object
required